Bug 573499 - packagekit-command-not-found fails to ask for password
Summary: packagekit-command-not-found fails to ask for password
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-15 01:34 UTC by Aioanei Rares
Modified: 2012-08-16 19:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1317269 (view as bug list)
Environment:
Last Closed: 2012-08-16 19:57:28 UTC


Attachments (Terms of Use)

Description Aioanei Rares 2010-03-15 01:34:36 UTC
Description of problem:


Version-Release number of selected component (if applicable):

PackageKit-command-not-found-0.6.2-1.fc14.x86_64

How reproducible:

everytime

Steps to Reproduce:
1.type a command provided by a package not already installed
2.
3.
  
Actual results:

[arares@localhost ~]$ mc
Command not found. 
 * Downloading details about the software sources... 
 * Downloading list of packages.. 
 * Downloading details about the software sources... 
 * Downloading list of packages.. 
 * Downloading details about the software sources... 
 * Downloading list of packages.. Install package 'mc' to provide command 'mc'? [N/y] 
 * Running.. 
 * Resolving dependencies.. 
 * Waiting for authentication.. The transaction failed: not-authorized, Failed to obtain authentication.


Expected results:

The user should be prompted for the administrative password in order to install the package

Additional info:

Comment 1 Richard Hughes 2010-03-22 15:56:27 UTC
Are you running the session using VNC?

Comment 2 Aioanei Rares 2010-03-22 16:07:58 UTC
KVM virtual machine.

Comment 3 Bug Zapper 2010-07-30 11:04:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora End Of Life 2012-08-16 19:57:31 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.